EntitySourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.entity
Class EntitySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.EntitySourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, EntitySource, SubclassEntityContainer

Direct Known Subclasses:
  RootEntitySourceImpl, SubclassEntitySourceImpl

    public class EntitySourceImpl

extends Object
implements EntitySource

Constructor Summary
`EntitySourceImpl(EntityClass entityClass)`

Method Summary
`void` | `add(SubclassEntitySource subclassEntitySource)`
`Iterable<AttributeSource>` | `attributeSources()` Obtain this container's attribute sources.
`int` | `getBatchSize()` Obtain the batch-size to be applied when initializing proxies of this entity.
`String` | `getClassName()` Obtain the name of the entity `Class`
`Iterable<ConstraintSource>` | `getConstraints()`
`String` | `getCustomLoaderName()` Obtain the name of a named-query that will be used for loading this entity
`String` | `getCustomPersisterClassName()` Obtain the name of a custom persister class to be used.
`CustomSQL` | `getCustomSqlDelete()` Obtain the custom SQL to be used for deletes for this entity
`CustomSQL` | `getCustomSqlInsert()` Obtain the custom SQL to be used for inserts for this entity
`CustomSQL` | `getCustomSqlUpdate()` Obtain the custom SQL to be used for updates for this entity
`String` | `getCustomTuplizerClassName()` Obtain the name of a custom tuplizer class to be used.
`String` | `getDiscriminatorMatchValue()` Get the actual discriminator value in case of a single table inheritance
`EntityClass` | `getEntityClass()`
`String` | `getEntityName()` Obtain the entity name
`List<JpaCallbackClass>` | `getJpaCallbackClasses()`
`String` | `getJpaEntityName()` Obtain the JPA name of the entity
`LocalBindingContext` | `getLocalBindingContext()` Obtain the binding context local to this entity source.
`Origin` | `getOrigin()` Obtain the origin of this source.
`String` | `getPath()` Obtain the path used to uniquely identify this container.
`TableSource` | `getPrimaryTable()` Obtain the primary table for this entity.
`String` | `getProxy()` For `lazy` entities, obtain the interface to use in constructing its proxies.
`Iterable<TableSource>` | `getSecondaryTables()` Obtain the secondary tables for this entity
`List<String>` | `getSynchronizedTableNames()` Obtain any additional table names on which to synchronize (auto flushing) this entity.
`boolean` | `isAbstract()` Is the entity abstract? The implication is whether the entity maps to a database table.
`boolean` | `isDynamicInsert()` Did the source specify dynamic inserts?
`boolean` | `isDynamicUpdate()` Did the source specify dynamic updates?
`boolean` | `isLazy()` Is this entity lazy (proxyable)?
`boolean` | `isSelectBeforeUpdate()` Did the source specify to perform selects to decide whether to perform (detached) updates?
`Iterable<MetaAttributeSource>` | `metaAttributes()` Obtain the meta-attribute sources associated with this entity.
`Iterable<SubclassEntitySource>` | `subclassEntitySources()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitySourceImpl

    public EntitySourceImpl(EntityClass entityClass)

Method Detail

### getEntityClass

    public EntityClass getEntityClass()

### getOrigin

    public Origin getOrigin()

  Description copied from interface: `EntitySource`
  Obtain the origin of this source.

  Specified by:
    `getOrigin` in interface `EntitySource`
  Returns:
    The origin of this source.

### getLocalBindingContext

    public LocalBindingContext getLocalBindingContext()

  Description copied from interface: `EntitySource`
  Obtain the binding context local to this entity source.

  Specified by:
    `getLocalBindingContext` in interface `AttributeSourceContainer`
  Specified by:
    `getLocalBindingContext` in interface `EntitySource`
  Returns:
    The local binding context

### getEntityName

    public String getEntityName()

  Description copied from interface: `EntitySource`
  Obtain the entity name

  Specified by:
    `getEntityName` in interface `EntitySource`
  Returns:
    The entity name

### getClassName

    public String getClassName()

  Description copied from interface: `EntitySource`
  Obtain the name of the entity `Class`

  Specified by:
    `getClassName` in interface `EntitySource`
  Returns:
    THe entity class name

### getJpaEntityName

    public String getJpaEntityName()

  Description copied from interface: `EntitySource`
  Obtain the JPA name of the entity

  Specified by:
    `getJpaEntityName` in interface `EntitySource`
  Returns:
    THe JPA-specific entity name

### getPrimaryTable

    public TableSource getPrimaryTable()

  Description copied from interface: `EntitySource`
  Obtain the primary table for this entity.

  Specified by:
    `getPrimaryTable` in interface `EntitySource`
  Returns:
    The primary table.

### isAbstract

    public boolean isAbstract()

  Description copied from interface: `EntitySource`
  Is the entity abstract?

  The implication is whether the entity maps to a database table.

  Specified by:
    `isAbstract` in interface `EntitySource`
  Returns:
    `true` indicates the entity is abstract; `false` non-abstract.

### isLazy

    public boolean isLazy()

  Description copied from interface: `EntitySource`
  Is this entity lazy (proxyable)?

  Specified by:
    `isLazy` in interface `EntitySource`
  Returns:
    `true` indicates the entity is lazy; `false` non-lazy.

### getProxy

    public String getProxy()

  Description copied from interface: `EntitySource`
  For `lazy` entities, obtain the interface to use in constructing its proxies.

  Specified by:
    `getProxy` in interface `EntitySource`
  Returns:
    The proxy interface name

### getBatchSize

    public int getBatchSize()

  Description copied from interface: `EntitySource`
  Obtain the batch-size to be applied when initializing proxies of this entity.

  Specified by:
    `getBatchSize` in interface `EntitySource`
  Returns:
    returns the the batch-size.

### isDynamicInsert

    public boolean isDynamicInsert()

  Description copied from interface: `EntitySource`
  Did the source specify dynamic inserts?

  Specified by:
    `isDynamicInsert` in interface `EntitySource`
  Returns:
    `true` indicates dynamic inserts will be used; `false` otherwise.

### isDynamicUpdate

    public boolean isDynamicUpdate()

  Description copied from interface: `EntitySource`
  Did the source specify dynamic updates?

  Specified by:
    `isDynamicUpdate` in interface `EntitySource`
  Returns:
    `true` indicates dynamic updates will be used; `false` otherwise.

### isSelectBeforeUpdate

    public boolean isSelectBeforeUpdate()

  Description copied from interface: `EntitySource`
  Did the source specify to perform selects to decide whether to perform (detached) updates?

  Specified by:
    `isSelectBeforeUpdate` in interface `EntitySource`
  Returns:
    `true` indicates selects will be done; `false` otherwise.

### getCustomTuplizerClassName

    public String getCustomTuplizerClassName()

  Description copied from interface: `EntitySource`
  Obtain the name of a custom tuplizer class to be used.

  Specified by:
    `getCustomTuplizerClassName` in interface `EntitySource`
  Returns:
    The custom tuplizer class name

### getCustomPersisterClassName

    public String getCustomPersisterClassName()

  Description copied from interface: `EntitySource`
  Obtain the name of a custom persister class to be used.

  Specified by:
    `getCustomPersisterClassName` in interface `EntitySource`
  Returns:
    The custom persister class name

### getCustomLoaderName

    public String getCustomLoaderName()

  Description copied from interface: `EntitySource`
  Obtain the name of a named-query that will be used for loading this entity

  Specified by:
    `getCustomLoaderName` in interface `EntitySource`
  Returns:
    THe custom loader query name

### getCustomSqlInsert

    public CustomSQL getCustomSqlInsert()

  Description copied from interface: `EntitySource`
  Obtain the custom SQL to be used for inserts for this entity

  Specified by:
    `getCustomSqlInsert` in interface `EntitySource`
  Returns:
    The custom insert SQL

### getCustomSqlUpdate

    public CustomSQL getCustomSqlUpdate()

  Description copied from interface: `EntitySource`
  Obtain the custom SQL to be used for updates for this entity

  Specified by:
    `getCustomSqlUpdate` in interface `EntitySource`
  Returns:
    The custom update SQL

### getCustomSqlDelete

    public CustomSQL getCustomSqlDelete()

  Description copied from interface: `EntitySource`
  Obtain the custom SQL to be used for deletes for this entity

  Specified by:
    `getCustomSqlDelete` in interface `EntitySource`
  Returns:
    The custom delete SQL

### getSynchronizedTableNames

    public List<String> getSynchronizedTableNames()

  Description copied from interface: `EntitySource`
  Obtain any additional table names on which to synchronize (auto flushing) this entity.

  Specified by:
    `getSynchronizedTableNames` in interface `EntitySource`
  Returns:
    Additional synchronized table names.

### metaAttributes

    public Iterable<MetaAttributeSource> metaAttributes()

  Description copied from interface: `EntitySource`
  Obtain the meta-attribute sources associated with this entity.

  Specified by:
    `metaAttributes` in interface `EntitySource`
  Returns:
    The meta-attribute sources.

### getPath

    public String getPath()

  Description copied from interface: `AttributeSourceContainer`
  Obtain the path used to uniquely identify this container.

  Specified by:
    `getPath` in interface `AttributeSourceContainer`
  Returns:
    The unique identifier path

### attributeSources

    public Iterable<AttributeSource> attributeSources()

  Description copied from interface: `AttributeSourceContainer`
  Obtain this container's attribute sources.

  Specified by:
    `attributeSources` in interface `AttributeSourceContainer`
  Returns:
    The attribute sources.

### add

    public void add(SubclassEntitySource subclassEntitySource)

  Specified by:
    `add` in interface `SubclassEntityContainer`

### subclassEntitySources

    public Iterable<SubclassEntitySource> subclassEntitySources()

  Specified by:
    `subclassEntitySources` in interface `SubclassEntityContainer`

### getDiscriminatorMatchValue

    public String getDiscriminatorMatchValue()

  Description copied from interface: `EntitySource`
  Get the actual discriminator value in case of a single table inheritance

  Specified by:
    `getDiscriminatorMatchValue` in interface `EntitySource`
  Returns:
    the actual discriminator value in case of a single table inheritance or `null` in case there is no explicit value or a different inheritance scheme

### getConstraints

    public Iterable<ConstraintSource> getConstraints()

  Specified by:
    `getConstraints` in interface `EntitySource`
  Returns:
    returns the source information for constraints defined on the table

### getJpaCallbackClasses

    public List<JpaCallbackClass> getJpaCallbackClasses()

  Specified by:
    `getJpaCallbackClasses` in interface `EntitySource`
  Returns:
    the list of classes (this `entity`/`mapped superclass`, or `entity listeners`) that define JPA callbacks for this entity/mapped superclass.

### getSecondaryTables

    public Iterable<TableSource> getSecondaryTables()

  Description copied from interface: `EntitySource`
  Obtain the secondary tables for this entity

  Specified by:
    `getSecondaryTables` in interface `EntitySource`
  Returns:
    returns an iterator over the secondary tables for this entity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.